summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-05-26 23:10:40 -0500
committerNarinder Gupta <narinder.gupta@canonical.com>2016-05-27 00:32:46 -0500
commit494b0885ab040d2952487e757c684b993ea659f5 (patch)
tree9617e86633be07f6e193f337b22a0441d8124fca /ci
parentd17896f8f943ac15ed333633bcb68247d122c1ce (diff)
modified intel pod9 config as per new rules.
Change-Id: Ia4669cff41e6ec4602f9444e4b9eb041f53c7d47 Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/02-maasdeploy.sh14
-rw-r--r--ci/nosdn/juju-deployer/ovs-nosdn-nonha.yaml2
-rw-r--r--ci/nosdn/juju-deployer/ovs-nosdn-tip.yaml2
-rw-r--r--ci/odl/juju-deployer/ovs-odl-nonha.yaml2
-rw-r--r--ci/odl/juju-deployer/ovs-odl-tip.yaml2
5 files changed, 6 insertions, 16 deletions
diff --git a/ci/02-maasdeploy.sh b/ci/02-maasdeploy.sh
index ff006768..741773d1 100755
--- a/ci/02-maasdeploy.sh
+++ b/ci/02-maasdeploy.sh
@@ -257,17 +257,15 @@ case "$labname" in
;;
'orangepod1' )
maas refresh
- enableautomodebyname eth2 DHCP "192.168.21.0/24" compute || true
- enableautomodebyname eth3 AUTO "192.168.11.0/24" compute || true
- enableautomodebyname eth2 DHCP "192.168.21.0/24" control || true
- enableautomodebyname eth3 AUTO "192.168.11.0/24" control || true
+ enableautomode eth2 DHCP "192.168.21.0/24" || true
+ enableautomode eth3 AUTO "192.168.11.0/24" || true
;;
'orangepod2' )
maas refresh
- enableautomodebyname eth4 DHCP "192.168.22.0/24" compute || true
- enableautomodebyname eth5 AUTO "192.168.12.0/24" compute || true
- enableautomodebyname eth2 DHCP "192.168.22.0/24" control || true
- enableautomodebyname eth3 AUTO "192.168.12.0/24" control || true
+ enableautomode eth4 DHCP "192.168.22.0/24" || true
+ enableautomode eth2 DHCP "192.168.22.0/24" || true
+ enableautomode eth5 AUTO "192.168.12.0/24" || true
+ enableautomode eth3 AUTO "192.168.12.0/24" || true
;;
'attvirpod1' )
enableautomodebyname eth1 AUTO "192.168.10.0/24" control || true
diff --git a/ci/nosdn/juju-deployer/ovs-nosdn-nonha.yaml b/ci/nosdn/juju-deployer/ovs-nosdn-nonha.yaml
index 647a1019..7b945e3c 100644
--- a/ci/nosdn/juju-deployer/ovs-nosdn-nonha.yaml
+++ b/ci/nosdn/juju-deployer/ovs-nosdn-nonha.yaml
@@ -112,14 +112,12 @@ openstack-phase2:
- "lxc:nodes=1"
nova-compute:
charm: "local:trusty/nova-compute"
- num_units: 2
options:
enable-live-migration: true
enable-resize: true
manage-neutron-plugin-legacy-mode: false
migration-auth-type: ssh
to:
- - "nodes=0"
- "nodes=1"
openstack-dashboard:
charm: "local:trusty/openstack-dashboard"
diff --git a/ci/nosdn/juju-deployer/ovs-nosdn-tip.yaml b/ci/nosdn/juju-deployer/ovs-nosdn-tip.yaml
index 0ea197d5..309da777 100644
--- a/ci/nosdn/juju-deployer/ovs-nosdn-tip.yaml
+++ b/ci/nosdn/juju-deployer/ovs-nosdn-tip.yaml
@@ -96,7 +96,6 @@ openstack-phase2:
- "lxc:nodes=0"
nova-compute:
charm: local:trusty/nova-compute
- num_units: 2
options:
openstack-origin-git: include-file://nova-master.yaml
enable-live-migration: true
@@ -104,7 +103,6 @@ openstack-phase2:
manage-neutron-plugin-legacy-mode: false
migration-auth-type: ssh
to:
- - "nodes=0"
- "nodes=1"
nova-cloud-controller:
charm: "local:trusty/nova-cloud-controller"
diff --git a/ci/odl/juju-deployer/ovs-odl-nonha.yaml b/ci/odl/juju-deployer/ovs-odl-nonha.yaml
index a4d0ba12..3a5d4c02 100644
--- a/ci/odl/juju-deployer/ovs-odl-nonha.yaml
+++ b/ci/odl/juju-deployer/ovs-odl-nonha.yaml
@@ -95,14 +95,12 @@ openstack-phase2:
- "lxc:nodes=1"
nova-compute:
charm: local:trusty/nova-compute
- num_units: 2
options:
enable-live-migration: true
enable-resize: true
manage-neutron-plugin-legacy-mode: false
migration-auth-type: ssh
to:
- - "nodes=0"
- "nodes=1"
nova-cloud-controller:
charm: local:trusty/nova-cloud-controller
diff --git a/ci/odl/juju-deployer/ovs-odl-tip.yaml b/ci/odl/juju-deployer/ovs-odl-tip.yaml
index 49ae7a62..e4129315 100644
--- a/ci/odl/juju-deployer/ovs-odl-tip.yaml
+++ b/ci/odl/juju-deployer/ovs-odl-tip.yaml
@@ -98,7 +98,6 @@ openstack-phase2:
- "lxc:nodes=0"
nova-compute:
charm: local:trusty/nova-compute
- num_units: 2
options:
openstack-origin-git: include-file://nova-master.yaml
enable-live-migration: true
@@ -106,7 +105,6 @@ openstack-phase2:
manage-neutron-plugin-legacy-mode: false
migration-auth-type: ssh
to:
- - "nodes=0"
- "nodes=1"
nova-cloud-controller:
charm: local:trusty/nova-cloud-controller